@import url("../../global/fonts.css");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  width: 100%;
  color: #ffffff;
  font-family: "Poppins", sans-serif;
  background-color: #0c1015;
}

.containerLogin {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: clamp(500px, 90vh, 900px);
}

.containerForm {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 1000px;
  height: 430px;
  background-color: #ffffff;
}

.containerImages {
  position: relative;
  display: flex;
  gap: 3em;
  flex-direction: column;
  align-items: center;
  width: 35%;
  height: 100%;
  overflow: hidden;
  padding: 4em;
  background: linear-gradient(180deg, #0c1015 0%, #000 100%);
}

.containerImages img:nth-child(1) {
  height: auto;
  width: 70%;
}

.containerImages img:nth-child(2) {
  position: absolute;
  height: auto;
  height: 18.75em;
  bottom: -2em;
  left: -4em;
  transform: scaleX(-1);
}

.containerForm h1 {
  color: #0c1015;
  font-size: 1.5em;
  font-weight: 500;
  width: 100%;
  text-align: start;
}

.containerForm h1 span {
  color: #ffc608;
}

.containerForm form {
  display: flex;
  gap: 2em;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  width: 100%;
  padding: 4.5em;
}

.containerInputsForm {
  display: flex;
  gap: 1em;
  width: 100%;
  color: #0c1015;
}

.containerInputsForm > div {
  display: flex;
  gap: 0.3em;
  flex-direction: column;
  width: 100%;
}

.containerInputsForm label {
  font-size: 1em;
  font-weight: 500;
}

.containerInputsForm input[type="text"],
.containerInputsForm input[type="password"] {
  outline: none;
  color: #8a8b8c;
  font-size: 1em;
  font-weight: 400;
  border: none;
  padding: 0.5em 0.3em;
  background-color: transparent;
  border-bottom: 1px solid #cecfd0;
}

.submitButton {
  color: #0c1015;
  font-size: 1em;
  font-weight: 500;
  line-height: 19.2px;
  border: none;
  outline: none;
  padding: 0.6em 3em;
  cursor: pointer;
  transition: all 0.3s ease;
  width: auto;
  background-color: #ffc608;
}

.submitButton:hover {
  background-color: #ffc608;
}

.sucessNotification,
.errorNotification {
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  top: -100%;
  right: -100%;
  padding: 10px 30px;
  font-size: clamp(0.9em, 2vw, 1em);
  font-weight: 600;
  color: #ffffff;
  border-radius: 5px;
  z-index: 10;
  transition: all 0.6s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}

.onNotifications {
  top: 10px;
  right: 10px;
}

.sucessNotification {
  background-color: #1374dc;
}

.errorNotification {
  background-color: #952424;
}

@media (max-width: 1024px) {
  .containerLogin {
    height: auto;
    padding: 4em 2em;
  }

  .containerForm {
    flex-direction: column;
    width: 100%;
    height: auto;
    background-color: #090b0f;
  }

  .containerForm form {
    padding: 4em 2em;
  }

  .containerImages {
    width: 100%;
    align-items: flex-end;
  }

  .containerImages img:nth-child(1) {
    height: auto;
    width: 15%;
    min-width: 5em;
    transform: translate(1.5em, -1.5em);
  }

  .containerImages img:nth-child(2) {
    height: 89%;
    left: -2em;
  }

  .containerForm h1,
  .containerInputsForm {
    color: #ffffff;
  }

  .containerInputsForm {
    flex-direction: column;
  }

  .containerInputsForm > div {
    width: 100%;
  }
}

#token {
  display: none;
}
